Name:           btrfs-progs
Version:        4.14
Release:        %mkrel 1
Summary:        Userspace programs for btrfs

%define libname_orig    libbtrfs
%define major           0
%define libname         %mklibname btrfs %{major}
%define develname       %mklibname btrfs -d

Group:          System/Kernel and hardware
License:        GPLv2
URL:            http://btrfs.wiki.kernel.org/
Source0:        http://www.kernel.org/pub/linux/kernel/people/kdave/%{name}/%{name}-v%{version}.tar.xz
Source1:        btrfs-completion.sh
Patch0:		    btrfs-progs-recognize-fsck.btrfs-like-btrfsck.patch

#-----------------------------------------
BuildRequires: lib64acl-devel
BuildRequires: lib64attr1-devel
BuildRequires: lib64blkid-devel
BuildRequires: lib64ext2fs-devel
BuildRequires: lib64lzo-devel
BuildRequires: lib64uuid-devel
BuildRequires: e2fsprogs-devel
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: lib64zstd-devel
#-----------------------------------------
Requires:       %{libname_orig} = %{version}-%{release}

%description
The btrfs-progs package provides all the userpsace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package -n     %{libname}
Summary:        Main library for btrfs
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with btrfs

%package -n     %{develname}
Summary:        Headers for developing programs that will use btrfs
Group:          Development/Libraries
Requires:       %{libname} = %{version}
Provides:       %{libname_orig}-devel = %{version}-%{release}
Provides:       btrfs-devel = %{version}-%{release}
%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use btrfs

%prep
%setup -q -n %{name}-v%{version}
%apply_patches

%build
./autogen.sh
%configure2_5x --bindir %{_sbindir} CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"
%make_build

%install
rm -rf %buildroot
%makeinstall_std
%{__mkdir_p} %{buildroot}%{_datadir}/bash-completion/completions
cp %{SOURCE1} %{buildroot}%{_datadir}/bash-completion/completions/btrfs
rm -f %{buildroot}%{_libdir}/*.a

%files
%defattr(-, root, root)
%doc COPYING INSTALL
%{_sbindir}/btrfs
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-debug-tree
%{_sbindir}/btrfs-find-root
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfs-zero-log
%{_sbindir}/btrfsck
%{_sbindir}/btrfstune
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_mandir}
%{_datadir}/bash-completion/completions/btrfs

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/libbtrfs.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/btrfs/*
%{_libdir}/libbtrfs.so


%changelog
* Sat Jan 20 2018 bb2 <bb2> - 4.14-1pclos2018
- new version

* Fri May 20 2016 bb <bb> 4.5.3-1pclos2016
- update

* Sat Apr 02 2016 Conan Kudo <Conan Kudo> 4.5.1-1pclos2016
- Update to 4.5.1

* Wed May 20 2015 bb <bb> 3.19.1-1pclos2015
- update

